> ## Documentation Index
> Fetch the complete documentation index at: https://docs.genai.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Expanding Entities

> Expand certain entities within the API response.

Certain entities are returned as a unique ID for brevity. These entities can be expanded into the underlying object when specified via the `expand` request parameter.

<RequestExample>
  ```bash Regular theme={null}
  curl 'https://api.scale.com/v2/task'
  ```

  ```bash Expanded theme={null}
  curl 'https://api.scale.com/v2/task?expand=project'
  ```
</RequestExample>

<ResponseExample>
  ```json Regular theme={null}
  {
    "project": "abc123",
    "batch": "efg456",
    "delivery": "dce789",
    ...
  }
  ```

  ```json Expanded theme={null}
  {
    "project": {
      "id": "abc123",
      "name": "My Project",
      ...
    },
    "batch": {
      "id": "efg456",
      "name": "my_batch_01",
    },
    "delivery": {
      "id": "dce789",
      "name": "delivery-math-01",
      "task_count": 25,
      "delivered_at": "2023-11-07T05:31:56Z",
      "project": "abc123",
    },
    ...
  }
  ```
</ResponseExample>
